Error Translator with latest update

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Error Translator with latest update

Oscar Fanelli
I have update zf2 on the latest version and i receive this error:

Some mandatory parameter was added for translation?

This is my translator config:
'translator' => array(
        'locale' => 'it_IT',
        'translation_file_patterns' => array(
            array(
                'type'     => 'gettext',
                'base_dir' => __DIR__ . '/../language',
                'pattern'  => '%s.mo',
            ),
        ),
    ),

and this is what i call inside the Module.php::onBootstrap()
$translator = $serviceManager->get('translator’);

Thanks

---

Oscar Fanelli
Gamempire.it - Creatore e Direttore esecutivo
Tom's Hardware Italia - Sviluppatore

Email secondaria: [hidden email]
Skype: gamempire
Tel: 3388696167

Reply | Threaded
Open this post in threaded view
|

Re: Error Translator with latest update

robertboloc
Do you have this :

    'service_manager' => array(
        'aliases' => array(
            'translator' => 'MvcTranslator',
        ),
    ),

in your modules config file?


2014-02-01 Oscar Fanelli <[hidden email]>:
I have update zf2 on the latest version and i receive this error:

Some mandatory parameter was added for translation?

This is my translator config:
'translator' => array(
        'locale' => 'it_IT',
        'translation_file_patterns' => array(
            array(
                'type'     => 'gettext',
                'base_dir' => __DIR__ . '/../language',
                'pattern'  => '%s.mo',
            ),
        ),
    ),

and this is what i call inside the Module.php::onBootstrap()
$translator = $serviceManager->get('translator’);

Thanks

---

Oscar Fanelli
Gamempire.it - Creatore e Direttore esecutivo
Tom's Hardware Italia - Sviluppatore

Email secondaria: [hidden email]
Skype: gamempire
Tel: 3388696167




--
Reply | Threaded
Open this post in threaded view
|

Re: Error Translator with latest update

Oscar Fanelli
Yes

Il giorno 01/feb/2014, alle ore 16:08, Robert Boloc <[hidden email]> ha scritto:

Do you have this :

    'service_manager' => array(
        'aliases' => array(
            'translator' => 'MvcTranslator',
        ),
    ),

in your modules config file?


2014-02-01 Oscar Fanelli <[hidden email]>:
I have update zf2 on the latest version and i receive this error:

Some mandatory parameter was added for translation?

This is my translator config:
'translator' => array(
        'locale' => 'it_IT',
        'translation_file_patterns' => array(
            array(
                'type'     => 'gettext',
                'base_dir' => __DIR__ . '/../language',
                'pattern'  => '%s.mo',
            ),
        ),
    ),

and this is what i call inside the Module.php::onBootstrap()
$translator = $serviceManager->get('translator’);

Thanks

---

Oscar Fanelli
Gamempire.it - Creatore e Direttore esecutivo
Tom's Hardware Italia - Sviluppatore

Email secondaria: [hidden email]
Skype: gamempire
Tel: 3388696167




--